\version "2.16.0"

\header {
  title = "Пой, Африка!"
  composer = "Руслан Шмаков"
  tagline = ""
}

\include "deutsch.ly"

#(set! paper-alist (cons '("my size" . (cons (* 210 mm) (* 190 mm))) paper-alist)) % урезал высоту чтобы убрать пустое поле

\paper {
  #(set-paper-size "my size")
%  bottom-margin = #-5
}

\paper  {
  myStaffSize = #20
  #(define fonts
    (make-pango-font-tree "Linux Libertine"
                          "Droid Sans"
                          "Droid Sans Mono"
                           (/ myStaffSize 20)))
}

global = {
  \key a \major
  \time 4/4
  \tempo 4 = 120
}

soloist = \new Voice = "soloist" {
\relative c' {
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  e4 r r2
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  e4 r r2
  \time 2/4
  r4 e
  \time 4/4
  fis4 fis8 fis ~ fis2
  \times 2/3 {r8 r fis} \times 2/3 {fis ~ fis fis} a4( fis)
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  e4 r r e
  e4 e8 e8 ~ e4 gis
  gis gis8 gis ~ gis4 h4
  h h8 h ~ h4 d4
  d d8 d ~ d2 ~
  d2.
  d4
  cis a8 a ~ a4 r4
}}

choir = \relative c' {
  s1
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  e4 r r2
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  \time 2/4
  e4 e
  \time 4/4
  fis4 fis8 fis ~ fis2
  \times 2/3 {r8 r fis} \times 2/3 {fis ~ fis fis} a4( fis)
  \times 2/3 {r8 r e} \times 2/3 {e ~ e e} \times 2/3 {fis ~ fis e} \times 2/3 {cis ~ cis d}
  e4 r r e
  <<
    {
      \voiceOne
      s1
      s1
      s2 s4 d'
      d d8 d ~ d2 ~
      d2.
    }
    \new Voice {
      \voiceTwo
      \stemUp
      s1
      s2 s4 h
      h h8 h ~ h2 ~
      \stemDown
      h1 ~
      h2.
    }
    \new Voice {
      \voiceThree
      \stemUp
      \tieDown
      s2 s4 gis
      gis gis8 gis ~ gis2 ~
      \stemDown
      gis1 ~
      gis1 ~
      gis2.
    }
    \new Voice {
      \voiceFour
      \stemUp
      e4 e8 e ~ e2 ~
      \stemDown
      e1 ~
      e1 ~
      e1 ~
      e2.
    }
  >>
  \oneVoice
  d'4
  cis a8 a ~ a4 r4
}

verses = \new Lyrics \lyricsto "soloist" {
  Я дол -- го дол -- го не был там,
  В_мо -- ей ду -- ше зву -- чит там -- там,
  Го -- тов бе -- жать в_лю -- бой мо -- мент
  На э -- тот див -- ный кон -- ти -- нент.
  Пой, Аф -- ри -- ка!
  Пой, Аф -- ри -- ка!
  Пой, Аф -- ри -- ка!
  Пой, Аф -- ри -- ка!
  Пой, Аф -- ри -- ка!
}

\score {
  <<
    \new Staff {
      \set Staff.instrumentName = "Солист"
      \set Staff.midiInstrument = #"voice oohs"
      <<
      \global
      \soloist
      \bar "|."
    >>
    }
    \verses
    \new Staff {
      \set Staff.instrumentName = "Хор"
      \set Staff.midiInstrument = #"choir aahs"
      \global
      \choir
      \bar "|."
    }
  >>
  \layout{
    \context{
      \Score
      \remove "Bar_number_engraver"
    }
  }
  \midi{}
}
